Framework for Automated Web Application Testing
===============================================

There is a test GUI including browser to record user input while he surfs on the web and a test runner to run (recorded) test scripts. The tests can be integrated e.g. in a jenkins build job. It has been tested on Wordpress, Dokuwiki and Joomla pages. Joomla is difficult due to Javascript-Moo-Tools pollution. There's some specific support, that may help a bit, but to test Joomla sites, you need a lot of experience. Concluson: Avoid Joomla.

Sample Script to search my old homepage on Google, klick on the link, there click on tab «Computer» and check the title for the text «Marcs Computerblog»:

    load https://google.com
    expect loadStarted
    expect urlChanged
    expect loadFinished true
    do input[name="q"]
      this.value='Marc Wäckerlin';
    click input[name="btnG"]
    expect loadStarted
    expect urlChanged
    expect loadFinished true
    click a[href^="/url?q=https://marc.waeckerlin.org/&"]
    expect loadStarted
    expect urlChanged https://marc.waeckerlin.org/doku.php
    expect loadFinished true
    click a[href="/computer/index"]
    expect loadStarted
    expect urlChanged https://marc.waeckerlin.org/computer/index
    expect loadFinished true
    exists h1.sectionedit1 -> Marcs Computerblog
